<div class="col-8 mt-3 mx-auto">
  <h2>{{pageTitle}}</h2>
  <hr>
  <form #loginForm="ngForm" (ngSubmit)="onSubmit(loginForm)" class="col-6 mx-auto">
    <div [ngClass]="status=='success'?'alert alert-success':'alert alert-danger'"  *ngIf="status">
      {{message}}
      <span *ngIf="status=='success'">, Bienvenido {{identity.name}}!</span>
    </div>
    <div class="form-group">
      <label for="email">E-mail</label>
      <input type="email" id="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control" required>
    </div>
    <div class="form-group">
        <label for="password">Contraseña</label>
        <input type="password" id="password" name="password" #password="ngModel" [(ngModel)]="user.password"
         class="form-control" pattern=".{5,}" required>
         <div class="invalid-feedback d-block" *ngIf="password.invalid && password.touched">La contraseña no es válida</div>
    </div>
   
    <div class="form-group">
      <button type="submit" class="btn btn-success" [disabled]="loginForm.form.invalid">Entra</button>
    </div>
  </form>
</div>
